QSTATUS(1)

NAME
qstatus - Grid Engine qstatus script

SYNOPSIS
qstatus [-acghjlmnot] [-s SORT_FIELD_LIST] [USER]

DESCRIPTION
This manual page documents qstatus, a script to reformat the output of the Grid Engine command

The reformatted list is by default limited to the actual user account. This can be changed to request a job list of any user by supplying the username USER as the last argument, or requesting an output for all users by the -a switch (see below).

  Options

-a  Display the jobs of all users. May not be used when there is a dedicated user specified. This also implies the output of the owner of the jobs.

-c  Calculate a statistic of the listed jobs.

-g  Group output by owner. Only applicable if the owner is listed, either by the -o switch or implied by -a. This is a short form of ‘-s owner,running’. Can't be used together with the -s option.

-h  Print help.

-j  Include jobs which are suspended.

-l  Suppress the output of the list of jobs. Maybe useful in case you are only interested in the statistic with the -c switch.

-m  Display the machine instead of the name of the queue the job is running in under the column ‘running in’. Only meaningful for SGE 6.0 or above.

-n  Suppress the listing of the individual owner, mostly useful when all jobs are listed. Takes precedence over any other implied options. If used together with -o, only the later one is relevant.

-o  List the owner of the individual job. Takes precedence over any other implied option. If used together with -n, only the later one is relevant.

-r  Display times relative to submit- or start-times, as appropriate.

-s SORT_FIELD_LIST
    Sort the output according to the given columns. The SORT_FIELD_LIST has the format SORT_FIELD_LIST=SORT_FIELD[,SORT_FIELD]* where SORT_FIELD can be one of job, name, none, owner, running, slots, time.

    The option none will supersede any other column names and set the complete sort order to none.

    The column owner can only be used if the owner of the job is displayed at all. Otherwise it will be ignored.

    The sort by running will only be used for the running jobs, not for the waiting ones.

    This will overwrite the default sort order, which is:

        running jobs:
            running
        waiting jobs:
            none

    If the option -g is specified, the default sort order is changed to:

        running jobs:
            owner,running
        waiting jobs:
            owner

-t  Append task ID to the jobname for array tasks. This option has no meaning for non-array jobs.

AUTHOR
Written by Reuti.

REPORTING BUGS
Report bugs to <reuti@staff.uni-marburg.de>.

COPYRIGHT
Copyright © 2010 Philipps-University of Marburg.
This is free software. You may redistribute copies of it under the terms of the There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
of Grid Engine.

BUGS
Does not support the PBS or Torque resource manager. The Awk script used probably isn't portable and may require GNU Awk version 3 or higher.